Subject: Re: CCL:Temperature monitoring under Linux

From: Gali Drudis Sole <[email-masked]>
Date: Fri, 14 Feb 2003 19:39:48 +0100

> found them to be quite heat-sensitive.  We would therefore like to monitor
> component temperature in them (ideally selectively for CPU, memory etc.)

> What kind of approaches - both hardware and software - have people found
> to be effective for this goal?

Most new computers come with built-in temperature sensors as well as
voltage sensors or fan speed sensors. Therefore you will probably only
need the software to read it. You will have to download and compile
the kernel modules you will find in:

http://secure.netroedge.com/~lm78/index.html

If you are using Debian there is a package (lm-sensors-source) which
has all you need to build the modules.

I have been using them with kernel 2.4.17 and Debian to avoid burning
the CPU if a fan stopped. I can send you the scripts if you need them.

Best regards,

-- 

Galí Drudis i Solé

 [email-masked]
  Edifici Cn., Unitat Química Física
  Universitat Autònoma de Barcelona, 08193 - Bellaterra, Catalonia
 Unitat de Química Física   Tel: +34 93-581.28.57 Fax: 581.29.20
 Unitat de Química Orgànica Tel: +34 93-581.17.10 Fax: 581.12.65